package com.gyee.frame.model.custom;

import java.io.Serializable;
import java.util.List;

public class ElementNode implements Serializable {
	private static final long serialVersionUID = 1L;
	private String id;
	private String pid;
	private String label;
	private String url;
	private Boolean isParent;
	private List<ElementNode> children;

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public void setParent(Boolean parent) {
		isParent = parent;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public Boolean getParent() {
		return isParent;
	}

	public void setIsParent(Boolean parent) {
		isParent = parent;
	}

	public List<ElementNode> getChildren() {
		return children;
	}

	public void setChildren(List<ElementNode> children) {
		this.children = children;
	}
}
